#pragma once

#ifndef __sampleboxgame_h__
	#define __sampleboxgame_h__

#include <samplegame.h>

class SampleShapesGame : public SampleGame
{
public:
	SampleShapesGame();

	virtual void initialize();
	virtual void release();
	virtual void input(GxF32 elapsedTime);
	virtual void update(GxF32 elapsedTime);
	virtual void render(GxF32 elapsedTime);

	//bool loadRawHeightField(const char* filename, unsigned char* buffer, int& width, int& height);

	virtual void printHelp();
};

#endif /* __sampleboxgame_h__ */